%global pypi_name jeepney

Name:           python-%{pypi_name}
Version:        0.4
Release:        1%{?dist}
Summary:        Low-level, pure Python DBus protocol wrapper
License:        MIT
URL:            https://gitlab.com/takluyver/jeepney
Source0:        %pypi_source
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-testpath

%{?python_enable_dependency_generator}

%description
This is a low-level, pure Python DBus protocol client. It has an I/O-free core,
and integration modules for different event loops.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a low-level, pure Python DBus protocol client. It has an I/O-free core,
and integration modules for different event loops.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

pushd docs
make SPHINXBUILD=sphinx-build-3 html
rm -rf _build/html/.buildinfo _build/html/_sources
popd

%install
%py3_install

%check
%{__python3} -m pytest -v

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst examples/ docs/_build/html/
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Sep 24 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4-1
- Initial package
